commit 62960ccdefe60f29897f4bae8ea6a2f3f385fc47
Author: Kewen Lin <linkw@linux.ibm.com>
Date:   Sun Mar 8 21:34:13 2020 -0500

    [testsuite] Fix PR94023 to guard case under vect_hw_misalign
    
    As PR94023 shows, the expected SLP requires misaligned vector access
    support.  This patch is to guard the check under the target condition
    vect_hw_misalign to ensure that.
    
    2020-03-17  Kewen Lin  <linkw@gcc.gnu.org>
    
        Backport from master
        2020-03-09  Kewen Lin  <linkw@gcc.gnu.org>
    
        PR testsuite/94023
        * gcc.dg/vect/slp-perm-12.c: Expect loop vectorized messages only on
        vect_hw_misalign targets.

diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index b96c9b9ab1c..9e2a34396ff 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2020-03-17  Kewen Lin  <linkw@gcc.gnu.org>
+
+	Backport from master
+	2020-03-09  Kewen Lin  <linkw@gcc.gnu.org>
+
+	PR testsuite/94023
+	* gcc.dg/vect/slp-perm-12.c: Expect loop vectorized messages only on
+	vect_hw_misalign targets.
+
 2020-03-12  Richard Earnshaw  <rearnsha@arm.com>
 
 	Backport from master
diff --git a/gcc/testsuite/gcc.dg/vect/slp-perm-12.c b/gcc/testsuite/gcc.dg/vect/slp-perm-12.c
index 4d4c5344402..113223ab0f9 100644
--- a/gcc/testsuite/gcc.dg/vect/slp-perm-12.c
+++ b/gcc/testsuite/gcc.dg/vect/slp-perm-12.c
@@ -49,4 +49,4 @@ int main()
   return 0;
 }
 
-/* { dg-final { scan-tree-dump-times "vectorizing stmts using SLP" 1 "vect" { target vect_perm } } } */
+/* { dg-final { scan-tree-dump-times "vectorizing stmts using SLP" 1 "vect" { target { vect_perm && vect_hw_misalign } } } } */

